Package ru.bitel.bgbilling.kernel.contract.api.server.bean

# Class ContractNoteDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<ContractNote>
ru.bitel.bgbilling.common.dao.AbstractIdDao<ContractNote>
ru.bitel.bgbilling.kernel.contract.api.server.bean.ContractNoteDao

public class ContractNoteDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<ContractNote>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractNoteDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteContractNotes(int contractId)`
  `int`
  `getContractNoteCount(int contractId)`
  `protected ContractNote`
  `getFromRS(ResultSet rs)`
  `List<ContractNote>`
  `list(int contractId, boolean onlyForCustomer)`
  `void`
  `resultSetToXML(XMLStreamWriter xmlStreamWriter, int contractId)`
  `protected void`
  `updateImpl(ContractNote note)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractNoteDao

    public ContractNoteDao(Connection con)

- ## Method Details

  - ### getFromRS

    protected ContractNote getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractNote>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(ContractNote note) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractNote>`
    Throws:
      `SQLException`

  - ### list

    public List<ContractNote> list(int contractId, boolean onlyForCustomer) throws SQLException
    Throws:
      `SQLException`

  - ### resultSetToXML

    public void resultSetToXML(XMLStreamWriter xmlStreamWriter, int contractId) throws Exception
    Throws:
      `Exception`

  - ### getContractNoteCount

    public int getContractNoteCount(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### deleteContractNotes

    public void deleteContractNotes(int contractId) throws SQLException
    Throws:
      `SQLException`